;;; $Id$

;;; croissante?: LISTE[Nombre] -> bool
;;; (croissante? L) vérifie que L comporte des nombres en ordre croissant.
(define (croissante? L)
  ;; non-vide-croissante?: LISTE[Nombre] -> bool
  ;; vérifie que L comporte des nombres en ordre croissant.
  ;; HYPOTHESE: L n'est pas vide
  (define (non-vide-croissante? L)
    (if (pair? (cdr L))
        (and (<= (car L) (cadr L))
             (non-vide-croissante? (cdr L)) ) 
        #t ) )
  (if (pair? L)
      (non-vide-croissante? L)
      #t ) )

(verifier croissante?
  (croissante? (list)) => #t
  (croissante? (list 11)) => #t
  (croissante? (list 11 22)) => #t
  (croissante? (list 11 22 333)) => #t
  (croissante? (list 11 22 333 444)) => #t
  (croissante? (list 11 22 333 4.44)) => #f
  (croissante? (list 11 22 3.33 444)) => #f
  (croissante? (list 11 2.2 3.33)) => #f
)

;;; end of croissante.scm
